> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Erzeugt einen Link, um Mobile Input mit einem einmaligen Authentifizierungs-Token zu starten und ein Bild in einen bestimmten Vorgang zu übernehmen

> Ein Link kann für einen nicht aktiven Vorgang angefordert werden.
Das Token im Link berechtigt dazu, Dateien hinzuzufügen und einen bestimmten Vorgang zu starten, ohne dabei Zugriff auf die Verarbeitungsergebnisse zu haben.



## OpenAPI

````yaml /de/openapi.json post /api/publicapi/v1/transactions/{transactionId}/mobileInputLink
openapi: 3.0.4
info:
  description: 'Umgebung: Produktion<br>Produktversion: 1.6.17'
  title: Vantage processing REST API
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - description: Produktion USA
    url: https://vantage-us.abbyy.com
  - description: Produktion Europa
    url: https://vantage-eu.abbyy.com
  - description: Produktion Australien
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/transactions/{transactionId}/mobileInputLink:
    post:
      tags:
        - Transactions
      summary: >-
        Erzeugt einen Link, um Mobile Input mit einem einmaligen
        Authentifizierungs-Token zu starten und ein Bild in einen bestimmten
        Vorgang zu übernehmen
      description: >-
        Ein Link kann für einen nicht aktiven Vorgang angefordert werden.

        Das Token im Link berechtigt dazu, Dateien hinzuzufügen und einen
        bestimmten Vorgang zu starten, ohne dabei Zugriff auf die
        Verarbeitungsergebnisse zu haben.
      operationId: GenerateMobileInputLink
      parameters:
        - description: >-
            Transaction-Kennung. Sie erhalten sie in der Antwort, nachdem die
            Transaction erfolgreich erstellt wurde.
          in: path
          name: transactionId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.MobileInputLinkResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.MobileInputLinkResult
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.MobileInputLinkResult
          description: Neuer Link wurde erfolgreich erstellt
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: >-
            Link kann nicht erstellt werden, da der Vorgang einen ungültigen
            Status hat
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: Verboten
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: Transaction wurde nicht gefunden
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.MobileInputLinkResult:
      additionalProperties: false
      description: Ergebnis der Linkerstellung
      properties:
        isShortLink:
          description: >-
            Handelt es sich bei dem mobilen Eingabelink um einen Kurzlink, der
            auf den ursprünglichen mobilen Eingabelink verweist?
          type: boolean
        mobileInputLink:
          description: >-
            Link für mobile Eingabe, der ein einmaliges Autorisierungstoken für
            den aktuellen Vorgang enthält.
          nullable: true
          type: string
        transactionId:
          description: >-
            Transaction-Kennung.

            Sie erhalten sie in der Antwort, nachdem die Transaction erfolgreich
            erstellt wurde.
          format: uuid
          type: string
      required:
        - transactionId
      type: object
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````